Bug 238788 - lang/ocaml: fix on powerpc64
Summary: lang/ocaml: fix on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-24 12:07 UTC by Piotr Kubaj
Modified: 2019-07-12 09:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (michipili)
koobs: merge-quarterly?


Attachments
patch (2.38 KB, patch)
2019-06-24 12:07 UTC, Piotr Kubaj
no flags Details | Diff
patch (2.39 KB, patch)
2019-06-25 18:08 UTC, Piotr Kubaj
no flags Details | Diff
patch (2.51 KB, patch)
2019-06-26 08:49 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (michipili)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-06-24 12:07:18 UTC
Created attachment 205311 [details]
patch

powerpc64 needs to be put to configure script to be recognized.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-25 04:47:50 UTC
Reporter is committer, assign accordingly
Comment 2 Piotr Kubaj freebsd_committer 2019-06-25 18:08:48 UTC
Created attachment 205337 [details]
patch

Add missing ;.
Comment 3 Piotr Kubaj freebsd_committer 2019-06-26 08:49:59 UTC
Created attachment 205346 [details]
patch

Add USES=compiler:c11 to fix build of devel/ocaml-pcre.
Comment 4 commit-hook freebsd_committer 2019-07-12 09:10:12 UTC
A commit references this bug:

Author: pkubaj
Date: Fri Jul 12 09:09:56 UTC 2019
New revision: 506445
URL: https://svnweb.freebsd.org/changeset/ports/506445

Log:
  lang/ocaml: fix on powerpc64

  powerpc64 needs to be put to configure script to be recognized.

  PR:		238788
  Approved by:	michipili@gmail.com (maintainer timeout), tcberner (mat)
  Differential Revision:	https://reviews.freebsd.org/D20891

Changes:
  head/lang/ocaml/Makefile
  head/lang/ocaml/files/patch-configure